Loading...
Searching...
No Matches
mbedtls_x509_san_other_name Struct Reference
X.509 module

`#include <x509.h>`

Collaboration diagram for mbedtls_x509_san_other_name:
[legend]

## Data Fields

mbedtls_x509_buf | type_id
union { |
struct { |
mbedtls_x509_buf oid |
mbedtls_x509_buf val |
} hardware_module_name |
} | value |

## Detailed Description

From RFC 5280 section 4.2.1.6: OtherName ::= SEQUENCE { type-id OBJECT IDENTIFIER, value [0] EXPLICIT ANY DEFINED BY type-id }

Future versions of the library may add new fields to this structure or to its embedded union and structure.

Definition at line 261 of file x509.h.

## Field Documentation

## [struct]

struct { ... } mbedtls_x509_san_other_name::hardware_module_name

From RFC 4108 section 5: HardwareModuleName ::= SEQUENCE { hwType OBJECT IDENTIFIER, hwSerialNum OCTET STRING }

## oid

mbedtls_x509_buf mbedtls_x509_san_other_name::oid

The object identifier.

Definition at line 276 of file x509.h.

## type_id

mbedtls_x509_buf mbedtls_x509_san_other_name::type_id

The type_id is an OID as defined in RFC 5280. To check the value of the type id, you should use `MBEDTLS_OID_CMP` with a known OID mbedtls_x509_buf. The type id.

Definition at line 267 of file x509.h.

## val

mbedtls_x509_buf mbedtls_x509_san_other_name::val

The named value.

Definition at line 277 of file x509.h.

## [union]

union { ... } mbedtls_x509_san_other_name::value

The documentation for this struct was generated from the following file:

- x509.h